#include <iomanip>
#include <iostream>
#include <map>
#include <algorithm>
#include <vector>
#include <set>
#include "queue"
//#include <multiset>
#include <map>
#include <utility>
#include <numeric>
#include "random"
#ifndef __clang__
#include <bits/stdc++.h>
#endif
using namespace std;

#define all(x) (x).begin(), (x).end()
#define int long long


void solve() {
    int n;
    cin >> n;
    bool cnR=0,cnB=0;
    int CR = 0;
    vector<pair<int, int>> bR, bB;
    for (int i = 0; i < n; ++i) {
        int crd, n2;
        char typ;
        cin >> crd >> n2 >> typ;
        if (typ == 'R') {
            CR += n2;
            bR.push_back({crd, n2});
        } else {
            CR -= n2;
            bB.push_back({crd, n2});
        }
    }
    if (CR == 0) {
        cout << "Draw 0 0\n";
        return;
    }
    if (CR > 0)
        cnR = 1;
    else
        cnB = 1;
    int lst = bR.back().first;
    int ct = 0;
    while (!bR.empty() and !bB.empty()) {
        int tt = min(bR.back().second, bB.back().second);
        ct += tt * (bR.back().first - bB.back().first);
        bR.back().second -= tt;
        bB.back().second -= tt;
        if (bR.back().second == 0)
            bR.pop_back();
        if (bB.back().second == 0)
            bB.pop_back();
        if (ct >= 1) {
            cnR = 1;
        }
        if (ct < -1) {
            cnB = 1;
        }
    }
    if (cnR and cnB) {
        cout << "Draw " << lst << " +\n";
        return;
    }
    if (cnR) {
        cout << "First " << lst << " +\n";
        return;
    }
    if (cnB) {
        cout << "Second\n";
        return;
    }

}

signed main() {
    cin.tie(nullptr);
    ios_base::sync_with_stdio(false);

    int t = 1;
    cin >> t;
    while (t--) {
        solve();
    }
}
